Opened 11 years ago

Closed 10 years ago

#5409 closed defect (invalid)

Perl needs to be added as a dependency to win32 frontend

Reported by: arnonm@… Owned by: Nigel
Priority: minor Milestone: 0.22
Component: windows Version: head
Severity: medium Keywords: win32
Cc: Ticket locked: no

Description

Perl needs to be added to packager as a depedency to mythfrontend installation

Change History (5)

comment:1 Changed 11 years ago by arnonm@…

In addition, we will probably need to change some default plugin entries which assume perl is recognized by shell. ie <path>/script.pl -> c:/perl/bin/perl.exe <path>/script.pl Can be done by the installer when we are ready.

comment:2 Changed 11 years ago by Dibblah

Status: newassigned

comment:3 Changed 11 years ago by danielk

Owner: changed from danielk to Nigel

comment:4 Changed 10 years ago by stuartm

Milestone: 0.21.10.22
Version: unknownhead

comment:5 Changed 10 years ago by Nigel

Resolution: invalid
Status: assignedclosed

Not sure I agree with this. mythfrontend.exe doesn't need perl.exe to run. It (or mythbackend.exe) might call some Perl scripts, but if you want to guarantee that all the Perl and Python scripts will run, then there are a lot of Perl Modules that are also needed.

Note: See TracTickets for help on using tickets.